## node-neo-async 2.6.1

=== Makefile ===
MOCHA=./node_modules/mocha/bin/_mocha
ISTANBUL=./node_modules/.bin/istanbul

test-cov: clean
	$(ISTANBUL) cover $(MOCHA) --report lcovonly -- -R spec ./test/*/*.js

test-codecov:
	cat ./coverage/lcov.info | ./node_modules/codecov.io/bin/codecov.io.js --verbose

release-test:
	DELAY=20 npm test | npm run-script cov:100

clean:
	rm -rf coverage

minify:
	java -jar ../compiler-latest/compiler.jar --js ./lib/async.js --js_output_file ./lib/async.min.js

cp:
	cp ./lib/async.min.js ./dist/async.min.js
	cp ./lib/async.js ./dist/async.js

release: release-test minify cp

## node-neo-async 2.5.0

=== debian/changelog ===
node-neo-async (2.5.0-2) unstable; urgency=medium

  [ Paolo Greppi ]
  * Update Vcs fields for migration to https://salsa.debian.org/

  [ Pirate Praveen ]
  * Bump debhelper compatibility level to 11
  * Bump Standards-Version to 4.2.1 (no changes needed)

 -- Pirate Praveen <praveen@debian.org>  Tue, 20 Nov 2018 18:23:07 +0530

node-neo-async (2.5.0-1) unstable; urgency=low

  * Initial release (Closes: #891895)

 -- Pirate Praveen <praveen@debian.org>  Fri, 02 Mar 2018 11:40:51 +0530

=== debian/control ===
Source: node-neo-async
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>
Build-Depends:
 debhelper (>= 11~)
 , nodejs
 , node-require-dir
 , gulp
 , node-lodash
 , node-fs-extra
 , node-promise
Standards-Version: 4.2.1
Homepage: https://github.com/suguru03/neo-async
Vcs-Git: https://salsa.debian.org/js-team/node-neo-async.git
Vcs-Browser: https://salsa.debian.org/js-team/node-neo-async

Package: node-neo-async
Architecture: all
Depends:
 ${misc:Depends}
 , nodejs
Description: faster replacement for Async
 Neo-Async is thought to be used as a drop-in replacement for Async, it almosti
 fully covers its functionality and runs faster.
 .
 Async is a utility module which provides straight-forward, powerful
 functions for working with asynchronous Javascript. Although originally
 designed for use with Node, it can also be used directly in the
 browser.
 .
 Node.js is an event-based server-side JavaScript engine.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	# gulp failure can be ignored
	gulp --gulpfile gulp/tasks/npm.js npm:publish

#override_dh_auto_test:

override_dh_auto_clean:
	rm -rf build

=== debian/tests/control ===
Tests: require
Depends: node-neo-async

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-neo-async-$1.tar.gz/ \
 https://github.com/suguru03/neo-async/tags .*/archive/v?([\d\.]+).tar.gz

## node-neo-async 2.6.1

=== debian/changelog ===
node-neo-async (2.6.1-3) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Update standards version to 4.4.1, no changes needed.

  [ Xavier Guimard ]
  * Declare compliance with policy 4.5.0
  * Add "Rules-Requires-Root: no"
  * Add debian/gbp.conf
  * Add upstream/metadata
  * Update lintian overrides

 -- Xavier Guimard <yadd@debian.org>  Sun, 08 Mar 2020 14:19:47 +0100

node-neo-async (2.6.1-2) unstable; urgency=medium

  * Reupload to unstable
  * Bump Standards-Version to 4.4.0 (no changes needed)
  * Switch to pkg-js-tools auto install

 -- Pirate Praveen <praveen@debian.org>  Thu, 08 Aug 2019 07:53:16 +0000

node-neo-async (2.6.1-1) experimental; urgency=medium

  * New upstream version 2.6.1
  * Bump Standards-Version to 4.3.0 (no changes needed)
  * Use pkg-js-tools

 -- Pirate Praveen <praveen@debian.org>  Thu, 04 Jul 2019 17:39:50 +0530

=== debian/control ===
--- 
+++ 
@@ -4,17 +4,19 @@
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Pirate Praveen <praveen@debian.org>
 Build-Depends:
- debhelper (>= 11~)
- , nodejs
+ debhelper-compat (= 12)
+ , gulp
+ , node-fs-extra
+ , node-lodash
+ , node-promise
  , node-require-dir
- , gulp
- , node-lodash
- , node-fs-extra
- , node-promise
-Standards-Version: 4.2.1
+ , pkg-js-tools (>= 0.9.20~)
+Standards-Version: 4.5.0
+Vcs-Browser: https://salsa.debian.org/js-team/node-neo-async
+Vcs-Git: https://salsa.debian.org/js-team/node-neo-async.git
 Homepage: https://github.com/suguru03/neo-async
-Vcs-Git: https://salsa.debian.org/js-team/node-neo-async.git
-Vcs-Browser: https://salsa.debian.org/js-team/node-neo-async
+Testsuite: autopkgtest-pkg-nodejs
+Rules-Requires-Root: no
 
 Package: node-neo-async
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with nodejs

override_dh_auto_build:
	# gulp failure can be ignored
	gulp --gulpfile gulp/tasks/npm.js npm:publish

## node-neo-async 2.6.2

=== debian/changelog ===
node-neo-async (2.6.2-1) unstable; urgency=medium

  * Team upload
  * Bump debhelper compatibility level to 13
  * Use dh-sequence-nodejs
  * New upstream version 2.6.2

 -- Xavier Guimard <yadd@debian.org>  Sun, 18 Oct 2020 14:18:45 +0200

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Pirate Praveen <praveen@debian.org>
 Build-Depends:
- debhelper-compat (= 12)
+ debhelper-compat (= 13)
  , gulp
  , node-fs-extra
  , node-lodash
  , node-promise
  , node-require-dir
- , pkg-js-tools (>= 0.9.20~)
+ , dh-sequence-nodejs
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/js-team/node-neo-async
 Vcs-Git: https://salsa.debian.org/js-team/node-neo-async.git

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@ --with nodejs
+	dh $@
 
 override_dh_auto_build:
 	# gulp failure can be ignored

## node-neo-async 2.6.2+~cs3.0.0

=== debian/changelog ===
node-neo-async (2.6.2+~cs3.0.0-2) unstable; urgency=medium

  * Build asyncro commonjs format from ES module source

 -- Pirate Praveen <praveen@debian.org>  Sat, 14 Aug 2021 23:43:18 +0530

node-neo-async (2.6.2+~cs3.0.0-1) unstable; urgency=medium

  [ Yadd ]
  * Declare compliance with policy 4.5.1
  * Modernize debian/watch
  * Fix GitHub tags regex

  [ Pirate Praveen ]
  * Add asyncro as a component
  * New upstream version 2.6.2+~cs3.0.0
  * Add missing copyright entry
  * Add lintian override for false positive source is missing error

 -- Pirate Praveen <praveen@debian.org>  Sat, 14 Aug 2021 23:11:02 +0530

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,8 @@
  , node-promise
  , node-require-dir
  , dh-sequence-nodejs
-Standards-Version: 4.5.0
+ , rollup
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/js-team/node-neo-async
 Vcs-Git: https://salsa.debian.org/js-team/node-neo-async.git
 Homepage: https://github.com/suguru03/neo-async
@@ -23,6 +24,7 @@
 Depends:
  ${misc:Depends}
  , nodejs
+Provides: ${nodejs:Provides}
 Description: faster replacement for Async
  Neo-Async is thought to be used as a drop-in replacement for Async, it almosti
  fully covers its functionality and runs faster.

=== debian/watch ===
version=4
opts=\
dversionmangle=auto,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-neo-async-$1.tar.gz/ \
 https://github.com/suguru03/neo-async/tags .*/archive/.*/v?([\d\.]+).tar.gz group

opts=\
component=asyncro,\
ctype=nodejs,\
dversionmangle=auto,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-asyncro-$1.tar.gz/ \
 https://github.com/developit/asyncro/tags .*/archive.*/v?([\d\.]+).tar.gz checksum
